Get Invoice Count
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/invoices/count \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/invoices/count"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/invoices/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"status_cd": "1",
"data": {
"all_oth": {
"b2b": {
"accept": 1,
"noaction": 11,
"pending": 0,
"reject": 0
},
"b2ba": {
"accept": 0,
"noaction": 0,
"pending": 0,
"reject": 0
},
"b2bcn": {
"accept": 0,
"noaction": 0,
"pending": 0,
"reject": 0
},
"b2bcna": {
"accept": 0,
"noaction": 0,
"pending": 0,
"reject": 0
},
"b2bdn": {
"accept": 0,
"noaction": 0,
"pending": 0,
"reject": 0
},
"b2bdna": {
"accept": 0,
"noaction": 0,
"pending": 0,
"reject": 0
},
"ecom": {
"accept": 0,
"noaction": 0,
"pending": 0,
"reject": 0
},
"ecoma": {
"accept": 0,
"noaction": 0,
"pending": 0,
"reject": 0
},
"ttl_cnt": 12
}
}
},
"timestamp": 1763446641000,
"transaction_id": "07457fe3-fb26-4e02-bfdb-5a396c80ffea000"
}Get Invoice Count
Fetch the count of documents for different sections with their respective status in real time.
GET
/
gst
/
compliance
/
tax-payer
/
invoices
/
count
Get Invoice Count
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API version
API key for identification
Query Parameters
Type of goods. E.g. imports, inward_supplies, others
Example:
"{{type_of_goods}}"
Response
200 - application/json
200 Success
- Option 1
- Option 2
A GSTN success or GSTN business-failure response. Both variants use HTTP 200.
The HTTP status code reported in the response body.
Available options:
200 Example:
200
The response timestamp in Unix epoch milliseconds.
Example:
1763446641000
The transaction identifier used to trace the request.
Example:
"41bb8041-fb83-4654-8d75-85a19f329158"
The GSTN success wrapper.
Show child attributes
Show child attributes
Was this page helpful?
āI